top {
  display: flex;
  position: fixed;

  bottom: 70px;
  left: calc(50% - 4rem);

  width: 8rem;
  height: 3rem;

  background: rgba(var(--terciary-rgb), 0.8);
  border-radius: 1.5rem;
  opacity: 0;

  z-index: 1040;
}

.to-top {
  width: 100%;

  border-radius: 1.5rem;

  font-family: var(--font-family-monospace);
  font-size: 1.2rem;
  color: var(--tone);
  text-align: center;
  line-height: 3rem;
  transition: .2s ;
}

.to-top:hover, .to-top:focus {
  color: var(--tone);
  background-color: rgba(var(--accent-rgb), 1.0);
  text-decoration: none;
  transition: .2s;
}

html:not([data-scroll='0']) top {
  opacity: 1;
  transition: 0.125s ease-in-out;
}

html[data-scroll='0'] top {
  opacity: 0;
  transition: 0.125s ease-in-out;
}